MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002303VCMIMechanics - Objectspublic2015-10-15 18:372016-09-19 00:42
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform64OSWindowsOS VersionXP sp2
Product Version0.98d 
Target VersionFixed in Version0.99 
Summary0002303: You can take the troops from the garrison with "Troops are removable" unchecked
DescriptionIf you have the troops of the same type, you can not put the same direction. You need to release additional slot for them.

Проще говоря нельзя архов положить в слот архов, надо дополнительный свободный стек, либо соединить их
TagsNo tags attached.
Attached Filespng file icon voyska.PNG [^] (980,608 bytes) 2015-10-15 18:37

- Relationships
related to 0000899resolvedSXX The "Make room..." window when a creature joins the army, does not allow us to move creatures in the same army 
related to 0002485new CGarrisonWindow need improvement for CGGarrison with removableUnits = false 

-  Notes
(0006088)
SXX (administrator)
2015-11-14 04:05

I'm not yet 100% sure, but looks like that can occur if garrison didn't actually allowed you to move stacks out of it. So probably real issue is that you can move units out of "locked" garrison at all.
(0006089)
SXX (administrator)
2015-11-17 20:27

Confirmed. It's exactly what cause that behaviour.
(0006136)
SXX (administrator)
2015-11-29 09:47

Important note: when creatures join hero on adventure map their ArmedInstance isn't marked as owned by hero (0000899). So while fixing this one we should apply some fix that going to make armed instance that joined our hero owned by player.
(0006260)
SXX (administrator)
2016-01-08 11:10

BTW this one may require "VCAI::showGarrisonDialog" because I suppose AI don't take fact that garrison is locked into account.
(0006688)
SXX (administrator)
2016-09-19 00:32

Fixed and AI change also applied:
https://github.com/vcmi/vcmi/commit/75cffa7d0b6460e78238269cd0c27e3bfdb3b57a [^]

- Issue History
Date Modified Username Field Change
2015-10-15 18:37 Povelitel New Issue
2015-10-15 18:37 Povelitel File Added: voyska.PNG
2015-11-10 16:26 SXX Assigned To => SXX
2015-11-10 16:26 SXX Status new => assigned
2015-11-14 04:05 SXX Note Added: 0006088
2015-11-17 20:27 SXX Summary You can not take the troops from the garrison => You can take the troops from the garrison with "Troops are removable" unchecked
2015-11-17 20:27 SXX Note Added: 0006089
2015-11-17 20:38 SXX Category Mechanics - Other => Mechanics - Objects
2015-11-26 08:27 SXX Relationship added related to 0000899
2015-11-29 09:47 SXX Note Added: 0006136
2016-01-08 11:10 SXX Note Added: 0006260
2016-09-19 00:32 SXX Note Added: 0006688
2016-09-19 00:32 SXX Status assigned => resolved
2016-09-19 00:32 SXX Fixed in Version => 0.99
2016-09-19 00:32 SXX Resolution open => fixed
2016-09-19 00:42 SXX Relationship added related to 0002485

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean